# Open Source

*"[Micro$oft](microsoft.md) <3 open source"*

Open source (OS) is a [capitalist](capitalist_software.md) movement forked from the [free software movement](free_software.md); it is advocating "openness", sharing and collaboration in software and hardware development and though legally it is mostly identical to free (as in freedom) software, in spirit it is very different by **abandoning the goal of freedom and ethics in favor of business**, due to which we see open source as inherently evil and recommend following free software instead. [Richard Stallman](rms.md), the founder of free software, distances himself from the open source movement. The term [FOSS](foss.md) is sometimes used to refer to both free software and open source without expressing any preference.

Open source is becoming more prevalent than free software, as it better serves [capitalism](capitalism.md) and abuse of people, and its followers are more and more hostile towards the free software movement. This is very dangerous, ethics and focus on actual user freedom is replaced by shallow legal definitions that can be bypassed, e.g. by [capitalist software](capitalist_software.md) and [bloat monopoly](bloat_monopoly.md). In a way open source is capitalism reshaping free software so as to weaken it and eventually make its principles of freedom ineffective. In practice open source has become something akin a **brand** which is stick to a piece of software to give users with little insight a feeling they're buying into something good -- this is called **[openwashing](openwashing.md)**. This claim is greatly supported by the fact that corporations such as [Microsoft](microsoft.md) and [Google](google.md) widely embrace open source ("Microsoft <3 open source" and the infamous [GitHub](github.md) acquisition).

One great difference of open source with respect to free software is that **open source doesn't mind proprietary dependencies**: [Windows](windows.md) only programs or [games](game.md) in [proprietary](proprietary.md) engines such as [Unity](unity.md) are happily called open source -- this would be impossible in the context of free software because as Richard Stallman says software can only be free if it is free as a whole, it takes a single proprietary line of code to allow abuse of the user.

The open source definition is maintained by the [Open Source Initiative](osi.md) (OSI) -- they define what exactly classifies as open source and which [licenses](license.md) are compatible with it. These licenses are mostly the same as those approved by the [FSF](fsf.md) (even though not 100%). The open source definition is a bit more complex than that of free software, in a nutshell it goes along the lines:

1. The license has to allow **free redistribution** of the software without any fees.
2. **Source code must be freely available**, without any [obfuscation](obfuscation.md).
3. **Modification of the software must be allowed** as well as redistribution of these modified versions under the same terms as the original.
4. **Direct modification may be forbidden only if [patches](patch.md) are allowed**.
5. **The license must not discriminate against people**, everyone has to be given the same rights.
6. **The license must not discriminate against specific uses**, i.e. use for any purpose must be allowed.
7. **The license applies automatically** to everyone who receives the software with the license.
8. **The license must apply generally**, it cannot be e.g. limited to the case when the software is part of some larger package.
9. **The license must not restrict other software**, i.e. it cannot for example be forbidden to run the software alongside some other piece of software.
10. **The license must be technology neutral**, i.e. it cannot for example limit the software to certain platform or API.